<!--section-->
<section>
    <div class="container">
        <%= form_for 'job_search', url: search_jobs_path, html: {class: 'job_search_form'} do |f| %>
            <!-- <div id="smart_wizard"> -->
            <!-- Screen 1  -->
                <div class="row">
                    <div class="step_1 steps">
                        <div class="job-header">
                            <h1 class="big_title">Search Jobs</h1>
                            <%#= image_tag 'back@2x.png', class: 'jobs_back_icon' %>
                        </div>
                        <div class="select_jobs custom-radio center-block">
                            <input type="hidden" name="job_region_value" class="job_region_value" />
                            <div class="us_job radio_box">
                                <div class="radio">
                                    <input id="us" type="radio" name="job_region" value="us">
                                    <%#= radio_button_tag :job_region, 'US', class: 'radio job_region', checked: params[:country_name].present? ? false : true %>
                                    <label for="us"><div class="flag_img" style="background-image: url(/assets/us@2x.png)"></div><span>U.S. Jobs</span></label>
                                </div>
                            </div>
                            <div class="international_job radio_box">
                                <div class="radio">
                                    <input id="international" type="radio" name="job_region" value="international">
                                    <%#= radio_button_tag :job_region, 'International', class: 'radio job_region', checked: params[:country_name].present? ? true : false %>
                                    <label for="international"><div class="flag_img" style="background-image: url(/assets/international@2x.png)"></div><span>International Jobs</span></label>
                                </div>
                            </div>
                        </div>
                        <div class="bottom_btn" align="center">
                            <input type="button" name="commit" value="Next" class="btn btn-theme btn-next disabled rounded" data-disable-with="Next" data-current-step-id="1">
                        </div>
                    </div>
                    <!-- End Screen 1  -->
                    <!-- Screen 2 -->
                    <div class="step_2 steps">
                        <div class="job-header">
                            <h1 class="big_title">Search Jobs</h1>
                            <a href="javascript:void(0)" class="steps-back-btn" data-current-step-id="2"><%= image_tag 'back@2x.png', class: 'jobs_back_icon', data: { current_step_id: 2 } %></a>
                        </div>
                        <div class="select_jobs custom-radio center-block">
                            <div class="us_jobs">
                                <input type="hidden" name="us_jobs_companies" class="us_jobs_companies">
                                <div class="top_job radio_box">
                                    <div class="radio">
                                        <input id="top" type="radio" name="job" value="top">
                                        <label for="top"><div class="flag_img" style="background-image: url(/assets/top_job.png)"></div><span>Top 500 H1B</span></label>
                                    </div>
                                </div>
                                <div class="all_job radio_box">
                                    <div class="radio">
                                        <input id="all" type="radio" name="job" value="all">
                                        <label for="all"><div class="flag_img" style="background-image: url(/assets/all_job.png)"></div><span>All Companies</span></label>
                                    </div>
                                </div>
                            </div>
                            <div class="international_jobs">
                                <div class="row">
                                    <div class="col-xs-12">
                                        <div class="form-group">
                                            <%= f.select :country, options_for_select(@countries.map{ |x| [ x.name, x.code ] }), { prompt: 'Select Country' }, class: 'form-control select2 filter_select' %>
                                        </div>
                                    </div>
                                    <!-- <div class="col-xs-12">
                                        <div class="form-group">
                                            <%#= text_field_tag :company_name, '', class: 'form-control', placeholder: 'Company Name' %>
                                        </div>
                                    </div> -->
                                </div>
                            </div>
                            <div class="bottom_btn" align="center">
                              <input type="button" name="commit" value="Next" class="btn btn-theme btn-next disabled rounded" data-disable-with="Next"  data-current-step-id="2">
                            </div>
                            <div class="bottom_btn" align="center">
                              <!-- <input type="button" name="commit" value="Back" class="btn btn-theme btn-next rounded" data-disable-with="Back"  data-current-step-id="2"> -->

                            </div>
                        </div>
                    </div>
                    <!-- End Screen 2  -->
                    <!-- Screen 3 -->
                    <div class="step_3 steps">
                        <div class="job-header">
                            <h1 class="big_title">Title, Keyword</h1>
                            <a href="javascript:void(0)" class="steps-back-btn" data-current-step-id="3"><%= image_tag 'back@2x.png', class: 'jobs_back_icon', data: { current_step_id: 3 } %></a>
                        </div>
                        <div class="select_jobs  center-block">
                            <!-- <form> -->
                                <div class="form-group">
                                    <!-- <input type="text" placeholder="Enter Job Title, Keyword (optional)" class="form-control"> -->
                                    <%= f.text_field :search, placeholder: 'Enter Job title, Keyword', class: 'form-control', required: true %>
                                </div>
                                <div class="form-group">
                                    <!-- <input type="text" placeholder="City (optional)" class="form-control"> -->
                                    <%= f.text_field :city, value: '', class: 'form-control', placeholder: 'City' %>
                                </div>
                                <div class="form-group">
                                    <%= f.select :company_name, options_for_select(@companies.map{ |a| [ a.display_name, a.name ] }), { prompt: 'Company Name (Required)' }, {class: 'form-control select2'} %>
                                    <%#= f.select :company_name, options_for_select(@companies.map{ |a| [ a.display_name, "#{a.display_name}" ] }), { prompt: 'Company Name (Required)' }, {class: 'form-control select2'} %>
                                </div>
                                <div class="form-group">
                                    <%= text_field_tag :company_name, '', class: 'form-control company_name hide', id: 'company_name', placeholder: 'Company Name' %>
                                </div>
                            <!-- </form> -->
                        </div>
                        <div class="bottom_btn" align="center">
                            <input type="submit" name="commit" value="Search" class="btn btn-theme btn-next rounded submit_jobs" data-disable-with="Submit"  data-current-step-id="3">
                        </div>
                    </div>
                    <!-- End Screen 3  -->
                </div>
            <!-- </div> -->
        <% end %>
    </div>
</section>
<!--/section-->
<script>
    $(document).ready(function(){
        // $('#smartwizard').smartWizard();

    })
</script>
